// Package excode 定义钱包服务的错误码
package excode

import (
	"git.apinb.com/bsm-sdk/core/errcode"
)

var (
	// 用户相关错误
	ErrPassportId       = errcode.NewError(3801, "passport id not found")      // 用户ID未找到
	ErrAuthCode         = errcode.NewError(3802, "auth_code Not Found")        // 授权码未找到
	ErrOrderNo          = errcode.NewError(3803, "order_no Not Found")         // 订单号未找到
	ErrAmount           = errcode.NewError(3805, "amount Not Found")           // 金额参数未找到
	ErrIdentityArgument = errcode.NewError(3807, "Invalid parameter:identity") // 身份参数无效
	ErrPasswordArgument = errcode.NewError(3808, "Invalid parameter:password") // 密码参数无效
	ErrVerifySign       = errcode.NewError(3809, "Verify Sign Failed")         // 签名验证失败

	// 钱包相关错误
	ErrBalanceNotEnough = errcode.NewError(3812, "Err Balance not enough") // 余额不足
	ErrPay              = errcode.NewError(3813, "Pay Error")              // 支付失败
	ErrPayType          = errcode.NewError(3816, "Err PayType")            // 支付类型错误
	ErrPayChannel       = errcode.NewError(3821, "Channel Error")          // 支付渠道错误

	// 第三方支付相关错误
	ErrWechatInit    = errcode.NewError(3817, "Internal Error") // 微信支付初始化失败
	ErrWechatGetResp = errcode.NewError(3818, "Internal Error") // 微信支付响应获取失败
	ErrAlipayInit    = errcode.NewError(3819, "Internal Error") // 支付宝初始化失败
	ErrAlipayGetResp = errcode.NewError(3820, "Internal Error") // 支付宝响应获取失败
)
